Skip to content
Documentation
Explore guides

For administrators

Contract categories

List, create, show, update, and delete contract categories in the company.

Contents

Before you start

Send Accept: application/json and Authorization: Bearer YOUR_TOKEN to https://{subdomain}.talentohq.com. See API for authentication.

Path and query identifiers are UUID strings.

Successful responses use 200. Validation failures use 422. Missing or invalid tokens, and records that cannot be found, use 401.

List all contract categories

GET /api/v3/contract_categories

Results are paginated. Pass page to move through pages of 50 records.

Response 200

[
  {
    "id": "1ae2fd31-da27-434e-92f2-b8f4480b57a8",
    "name": "Full time",
    "description": "Full time contract",
    "colour": "green"
  },
  {
    "id": "2c2d2fd9-fe83-480a-adb8-351efc6a9808",
    "name": "Full time",
    "description": "Full time contract",
    "colour": "green"
  }
]

Create a contract category

POST /api/v3/contract_categories

Request

{
  "name": "Full time",
  "description": "Full time contract",
  "colour": "green"
}

Response 200

{
  "id": "1ae2fd31-da27-434e-92f2-b8f4480b57a8",
  "name": "Full time",
  "description": "Full time contract",
  "colour": "green"
}

Show a contract category

GET /api/v3/contract_categories/{contract_category_id}

Parameter Type Description
contract_category_id string (UUID) Contract category id.

Response 200

{
  "id": "1ae2fd31-da27-434e-92f2-b8f4480b57a8",
  "name": "Full time",
  "description": "Full time contract",
  "colour": "green"
}

Update a contract category

PUT /api/v3/contract_categories/{contract_category_id}

Request

{
  "name": "Part time",
  "description": "Updated description",
  "colour": "orange"
}

Response 200

{
  "id": "1ae2fd31-da27-434e-92f2-b8f4480b57a8",
  "name": "Part time",
  "description": "Updated description",
  "colour": "orange"
}

Delete a contract category

DELETE /api/v3/contract_categories/{contract_category_id}

Response 200

{}